updating the repos in yum

Hi,
I have some repos configured for yum. The list appears in /etc/yum.repos.d
For one of the repos the baseurl is http://xyz/repo/el6
If i manually type this baseurl in my browser i see that one of my rpm is uploaded on the server.

But when i do yum install packagename  it shows the package is not available.
I tried updating the repo using the command yum check-update and yum update
But i dont see the new rpm being shown..

Whats the proper way to update all yum repos and also whats the command if i want to update a particular repo.

Thanks
Rohit BajajAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

Rohit BajajAuthor Commented:
Also on doing yum update i see the following output.. At the end its showing up 404 error

sudo yum update
Loaded plugins: auto-update-debuginfo, priorities, s3, update-motd, upgrade-
              : helper
2578 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package acl.x86_64 0:2.2.49-6.9.amzn1 will be updated
---> Package acl.x86_64 0:2.2.49-6.11.amzn1 will be an update
---> Package at.x86_64 0:3.1.10-44.12.amzn1 will be updated
---> Package at.x86_64 0:3.1.10-44.13.amzn1 will be an update
---> Package attr.x86_64 0:2.4.44-7.9.amzn1 will be updated
---> Package attr.x86_64 0:2.4.46-12.10.amzn1 will be an update
---> Package audit.x86_64 0:2.3.3-4.24.amzn1 will be updated
---> Package audit.x86_64 0:2.4.1-5.27.amzn1 will be an update
---> Package audit-libs.x86_64 0:2.3.3-4.24.amzn1 will be updated
---> Package audit-libs.x86_64 0:2.4.1-5.27.amzn1 will be an update
---> Package authconfig.x86_64 0:6.1.12-13.22.amzn1 will be updated
---> Package authconfig.x86_64 0:6.2.8-9.27.amzn1 will be an update
--> Processing Dependency: policycoreutils for package: authconfig-6.2.8-9.27.amzn1.x86_64
---> Package autogen-libopts.x86_64 0:5.18-5.4.amzn1 will be updated
---> Package autogen-libopts.x86_64 0:5.18-5.8.amzn1 will be an update
---> Package aws-cfn-bootstrap.noarch 0:1.4-9.4.amzn1 will be updated
---> Package aws-cfn-bootstrap.noarch 0:1.4-10.5.amzn1 will be an update
---> Package aws-cli.noarch 0:1.7.29-1.13.amzn1 will be updated
---> Package aws-cli.noarch 0:1.9.1-1.29.amzn1 will be an update
---> Package bash.x86_64 0:4.1.2-15.24.amzn1 will be updated
---> Package bash.x86_64 0:4.2.46-12.34.amzn1 will be an update
---> Package bind-libs.x86_64 32:9.8.2-0.30.rc1.36.amzn1 will be updated
---> Package bind-libs.x86_64 32:9.8.2-0.30.rc1.39.amzn1 will be an update
---> Package bind-utils.x86_64 32:9.8.2-0.30.rc1.36.amzn1 will be updated
---> Package bind-utils.x86_64 32:9.8.2-0.30.rc1.39.amzn1 will be an update
---> Package binutils.x86_64 0:2.23.52.0.1-16.47.amzn1 will be updated
---> Package binutils.x86_64 0:2.23.52.0.1-30.64.amzn1 will be an update
---> Package ca-certificates.noarch 0:2014.1.98-65.0.13.amzn1 will be updated
---> Package ca-certificates.noarch 0:2015.2.4-65.0.1.14.amzn1 will be an update
---> Package cloud-init.noarch 0:0.7.6-2.5.amzn1 will be updated
---> Package cloud-init.noarch 0:0.7.6-2.10.amzn1 will be an update
---> Package cryptsetup.x86_64 0:1.6.3-2.19.amzn1 will be updated
---> Package cryptsetup.x86_64 0:1.6.6-3.21.amzn1 will be an update
---> Package cryptsetup-libs.x86_64 0:1.6.3-2.19.amzn1 will be updated
---> Package cryptsetup-libs.x86_64 0:1.6.6-3.21.amzn1 will be an update
---> Package curl.x86_64 0:7.40.0-3.50.amzn1 will be updated
---> Package curl.x86_64 0:7.40.0-3.52.amzn1 will be an update
---> Package device-mapper.x86_64 0:1.02.90-2.24.amzn1 will be updated
---> Package device-mapper.x86_64 0:1.02.93-3.26.amzn1 will be an update
---> Package device-mapper-event.x86_64 0:1.02.90-2.24.amzn1 will be updated
---> Package device-mapper-event.x86_64 0:1.02.93-3.26.amzn1 will be an update
---> Package device-mapper-event-libs.x86_64 0:1.02.90-2.24.amzn1 will be updated
---> Package device-mapper-event-libs.x86_64 0:1.02.93-3.26.amzn1 will be an update
---> Package device-mapper-libs.x86_64 0:1.02.90-2.24.amzn1 will be updated
---> Package device-mapper-libs.x86_64 0:1.02.93-3.26.amzn1 will be an update
---> Package diffutils.x86_64 0:3.3-4.10.amzn1 will be updated
---> Package diffutils.x86_64 0:3.3-4.15.amzn1 will be an update
---> Package docker.x86_64 0:1.6.0-1.5.amzn1 will be updated
---> Package docker.x86_64 0:1.7.1-1.9.amzn1 will be an update
---> Package dracut.noarch 0:004-336.24.amzn1 will be updated
---> Package dracut.noarch 0:004-336.28.amzn1 will be an update


HTTP Error 404: Not Found

Open in new window

0
gheistCommented:
did you create index of repository using createrepo after adding the file?
0
Rohit BajajAuthor Commented:
No.
How do i do that ?
0
gheistCommented:
by reading manual page of "createrepo" command handily included with createrepo package.
common exploration method with your preferred search engine should yeild you some ready-baked examples.
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Linux

From novice to tech pro — start learning today.